# TBasicUnknown Class Reference

Inheritance diagram for TBasicUnknown:

List of all members.

## Public Member Functions
| TBasicUnknown ()
| ~TBasicUnknown ()
virtual MCCOMErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
virtual uint32 MCCOMAPI | AddRef ()
void | SetControllingUnknown (IMCUnknown *controllingUnknown)
## Protected Member Functions
void | CloneData (TBasicUnknown *destUnknown, IMCUnknown *pUnkOuter)
## Protected Attributes
uint32 | fRefCount
IMCUnknown * | fControllingUnknown

## Constructor & Destructor Documentation

TBasicUnknown::TBasicUnknown | ( |  | ) |

TBasicUnknown::~TBasicUnknown | ( |  | ) |

## Member Function Documentation

uint32 TBasicUnknown::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Implements IMCUnknown.

Reimplemented in TBasicConstraint, TBasicNewConstraint, TBasicTweener, TBasicSceneCommand, TBasicAnimationMethod, TBasic3DEditorHostPanePart, TBasicPreviewPart, TBasic3DExportFilter, TBasic3DImportFilter, TBasicAttributesSetControler, TBasicCamera, TBasicLight, TBasicGel, TBasicClip, TBasicDataComponent, TBasicDistantLight, TBasicAmbient, TBasicAtmosphere, TBasicBackdrop, TBasicBackground, TBasicFinalRenderer, TBasicGenericData, TBasicModifier, TBasicModule, TBasicPostRenderer, TBasicPrimitive, TBasicPropertiesClient, TBasicRendererBox, TBasicRenderFeature, TBasicShadowFeature, TBasicReflectionFeature, TBasicRefractionFeature, TBasicRigidBodySolver, TBasicShader, TBasicTerrainFilter, TBasicVolumetricCloudsShape, TBasicVolumetricEffect, TBasicObjectFactory, TBasicDataExchanger, TBasicRegisterer, TBasicColorPicker, TBasicColorSet, TBasicPart, TBasicListPart, TBasicAction, TBasicMouseAction, TBasicDropArea, TBasicDropCandidate, TBasicMovie, and TBasicPrefsComponent.

void TBasicUnknown::CloneData | ( | TBasicUnknown * | destUnknown,
|  | IMCUnknown * | pUnkOuter |
| ) |  |  | `[protected]`

virtual MCCOMErr MCCOMAPI TBasicUnknown::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Implements IMCUnknown.

Reimplemented in TBasicConstraint, TBasicNewConstraint, TBasicTweener, TBasicSceneCommand, TBasicAnimationMethod, TBasic3DEditorHostPanePart, TBasicPreviewPart, TBasic3DExportFilter, TBasic3DImportFilter, TBasicAttributesSetControler, TBasicCamera, TBasicLight, TBasicGel, TBasicClip, TBasicDataComponent, TBasicDistantLight, TBasicAmbient, TBasicAtmosphere, TBasicBackdrop, TBasicBackground, TBasicFinalRenderer, TBasicGenericData, TBasicModifier, TBasicModule, TBasicPostRenderer, TBasicPrimitive, TBasicPropertiesClient, TBasicRendererBox, TBasicRenderFeature, TBasicShadowFeature, TBasicReflectionFeature, TBasicRefractionFeature, TBasicRigidBodySolver, TBasicShader, TBasicTerrainFilter, TBasicVolumetricCloudsShape, TBasicVolumetricEffect, TBasicObjectFactory, TBasicDataExchanger, TBasicRegisterer, TBasicColorPicker, TBasicColorSet, TBasicPart, TBasicListPart, TBasicAction, TBasicMouseAction, TBasicDropArea, TBasicDropCandidate, TBasicMovie, and TBasicPrefsComponent.

void TBasicUnknown::SetControllingUnknown | ( | IMCUnknown * | controllingUnknown | ) |

## Member Data Documentation

IMCUnknown* TBasicUnknown::fControllingUnknown`[protected]`

uint32 TBasicUnknown::fRefCount`[protected]`

The documentation for this class was generated from the following file:

- BasicCOMImplementations.h